v7.01 - October 19 2023
  + Actions: report toolbar button feedback for deprecated mouse modifier actions [p=2721945]
  + Comp areas: fix some potential undo glitches [p=2722176]
  + Comp areas: improve behavior when copying regions that contain comp areas
  + FX containers: do not migrate modulation/linking to parent when pasting/moving FX [t=283626]
  + Grid: respect 'measure' grid setting when splitting item on grid, moving cursor by grid, etc [p=2722052]
  + JSFX: fix performance issue with gain reduction scope resized very small [t=282577]
  + JSFX: hide loudness meter maximum value display when meter is tiny [t=283539]
  + Lanes: display comping button on razor edits in fixed lane tracks even if there is only one lane
  + Lanes: do not display comping button on razor edits when fixed lanes have been hidden
  + Lanes: improve behavior when moving/copying items between tracks with collapsed lanes [t=283682]
  + macOS: fix default theme font
  + Parameter modulation: fix parameter linking when copying FX to tracks with existing FX [t=282137]
  + Paste: fix pasting multiple media items into empty project with setting enabled to paste into separate tracks
  + ReaScript: correct GetMediaTrackInfo() parameter from "I_LANESCOLLAPSED" to "C_LANESCOLLAPSED" [p=2722531]
  + ReaScript: fix setting of FX param.X.plink.effect
  + ReaSurroundPan: optimize initialization process
  + Super8: fix possible audio errors when recording very long loops
  + Theme: fix squashed record arm buttons
  + Track groups: split items on grouped tracks if most of the item is within the bounds of the selected item [t=283664] [p=2719354]
  + Track panels: correct multichannel input label/tooltip [t=283594]
  + Track panels: fix hidpi text size for lane labels and TCP embedded FX labels [t=283747]
  + Track templates: warn if FX are offline on import [t=257672]
  + Video: fix video processor editor mousewheel issue on macOS
  + Visual spacers: improve behavior when adjusting track height and visual spacer height has been set to a high value [p=2722567]
  + Visual spacers: prevent envelope lane height affecting spacer size when spacer size has been customized to a large value
  + VST: fix undo point addition for some plug-ins when changing parameters via TCP controls/API [t=281778]

v7.001 - October 16 2023
  + MIDI editor: fix setting channel dropdown [t=283592]
  + Default theme updates (TCP margin fixes), macOS font tweaks

v7.0 - October 16 2023
  + Actions: add action to color all takes that share the same source media with the same color
  + Actions: add action to select all media items that use the same source media
  + Actions: add action to paste tracks/items at mouse position
  + Actions: prevent healing an unlooped item with a copy of itself [p=2647801]
  + Actions: actions to move items up/down/top/bottom will act on razor edit areas, if any exist
  + Actions: add actions to apply first track or take FX to items (can be used to render ARA FX)
  + Actions Window: hide actions like 'set default mouse modifier for [context] to [action]' from actions list, instead use ReaScript SetMouseModifier('context_name', keycombo, 'action_name'), deprecated actions will still work though
  + Actions Window: add meta-actions to allow running (some) actions in background project tab contexts
  + Actions Window: allow setting a parameter value for keys bound to MIDI CC/mousewheel actions
  + Actions Window: show custom action toggle state as enabled/disabled if all component actions that report a toggle state are enabled/disabled [t=229048]
  + Actions Window: store descriptive comments about shortcuts in ReaperKeyMap/reaper-kb.ini
  + Actions Window: add 'Options' button to action window
  + Actions Window: add menu items to import, export, reset, clear keyboard shortcuts for the current section
  + API/ReaScript: support ShowConsoleMsg() from multiple threads
  + API/ReaScript: add actions to toggle console window visiblity, clear console window; console window log persists when closing/reopening window
  + API/ReaScript: add CleanItemLanes(), to recalculate fixed lane arrangement and remove unused lanes at bottom of track after moving or editing media items
  + API/ReaScript: add FX_GetNamedConfigParm(container_count) for getting number of FX in container
  + API/ReaScript: TrackFX_/TakeFX_ APIs can access container and sub-container FX via documented addressing scheme
  + API/ReaScript: preserve FXID when cutting/pasting FX, saving/loading RfxChain
  + API/ReaScript: add EnumInstalledFX()
  + API/ReaScript: add GetTouchedOrFocusedFX(), support addressing FX containers, deprecate GetFocusedFX2() and GetLastTouchedFX()
  + API/ReaScript: add MIDIEditorFlagsForTrack(), to get/set pitchwheel range and snap settings
  + API/ReaScript: add set/getNamedConfigParm container_map.add, param.X.container_map.*
  + API/ReaScript: add support for GetSetMediaTrackInfo() I_NUMFIXEDLANES, I_LANESCOLLAPSED, C_LANEPLAYS, I_SPACER
  + API/ReaScript: add support for GetSetMediaItemInfo() I_FIXEDLANE, B_FIXEDLANE_HIDDEN
  + API/ReaScript: much faster API validation for takes and envelopes [t=283024]
  + API/ReaScript: fix gfx.drawstr() on multiline content drawing with negative Y offset [t=282702]
  + API/ReaScript: GetTrackFromPoint() also returns the fixed lane under the mouse, if applicable
  + API/ReaScript: gfx.setcursor() can specify named theme cursors without specifying numeric ID
  + API/ReaScript: support using full (unlocalized) action description in Get/SetMouseModifier(), example: SetMouseModifier('Media item left drag', 0, 'Move item')
  + API/ReaScript: update from Lua 5.3.5 to Lua 5.4.6 (may affect existing ReaScripts) [t=281435]
  + API/ReaScript: update TakeFX/TrackFX_Get/SetPinMappings() to support more than 64 mappings
  + API/ReaScript: add GetSetTrackGroupMembership() support for MEDIA_EDIT_LEAD, MEDIA_EDIT_FOLLOW
  + ARA: support pooling edits by source media, so edits can automatically affect all media items that share the same source media
  + ARA: support pooling or not pooling ARA edits by default (old projects will always load with edits unpooled)
  + ARA: pooled edits will not be preserved when loading a project created with REAPER 7+ into an older version of REAPER (the old version will show a 'project token not recognized: ARAMOD' warning)
  + ARA: display pooled edit button for media items that share ARA edits (similar to pooled MIDI behavior)
  + ARA: list analyzed media files and pooled/unpooled count in FX + menu
  + ARA: add actions to select media items with pooled ARA edits, remove items from edit pool, return items to edit pool
  + ARA: improve stability of ARA edits when editing media items (splits, copies, cut/paste, etc)
  + ARA: fix possible hang when ARA plugin analyzes media with negative start-in-source offset
  + Audio: support up to 128 channels per track, 128 channels of I/O per plug-in
  + Audio: allow mapping ReaRoute/loopback devices as regular channels
  + Backups: add configuration for path to auto-save unsaved projects
  + Backups: default to saving up to 50 timestamped projects in Backups directory for new users
  + Backups: optionally save timestamped backup projects to Backups directory, auto-saved projects to AutoSaves directory
  + Backups: optionally keep last X copies or X unique days of copies of timestamped backups
  + Batch Converter: allow user-entered file extension if it is compatible with the format (.m4v for .mp4, etc)
  + Batch Converter: correct extension handling when option enabled to overwrite source files
  + CLAP Plugins: automatically scan reaper_resource_path/UserPlugins/FX for .clap plug-ins
  + CLAP Plugins: fix recording automation in touch mode [t=279975]
  + Click Source: fix glitch at start of playback with take FX that use PDC [t=277406]
  + Color Theme: new Default 7.0 theme
  + Color Theme: add preference/theme element for small themed indicator on selected media items
  + Color Theme: add theme elements for various fixed lane display features (buttons, text, etc)
  + Defaults: display media item volume knob, FX button, mute button by default
  + Defaults: enable preference to record media, copy imported media to project media directory by default
  + Defaults: MIDI editor defaults to one editor per project
  + Defaults: default to OpenGL for video output
  + Defaults: video media defaults to low-resolution audio peaks, for improved responsiveness
  + Defaults: disable automatic fadein/fadeout for imported media by default
  + Defaults: disable 'right-click deletes notes' MIDI editor preference by default
  + Defaults: mouse-drag on crossfade intersection moves the split point left/right by default, rather than adjusting fade curves
  + Defaults: use project peaks directory by default
  + Defaults: ReaComp defaults to 4:1 compression ratio
  + Defaults: ReaEQ adds default HPF band 5 (disabled by default)
  + Defaults: ReaEQ changes default bandwidth for low/high shelf
  + Defaults: built-in sliders respond to mouse click anywhere in the slider window, not just within the thumb image [p=2699292]
  + Dynamic Split: properly handle leading/trailing pad when splitting grouped tracks [p=2714123]
  + FX: support processing multiple plug-ins in parallel
  + FX: flush plug-in buffers when bypassing VST or CLAP plugins
  + FX: always run track/track FX while playback is stopped, if the UI is visible [t=273647]
  + FX: always run input FX if the UI is visible
  + FX: optionally run FX when muted if the UI is visible
  + FX: fix many last-touched-parameter actions to work with per-take, input FX
  + FX: show more descriptive names for track/take channels in pin connector dialog
  + FX: support parameter modulation for input FX, monitor FX
  + FX Containers: support sub-chains of FX with configurable input/output/processing channel sizes, configurable parameter mappings
  + FX Containers: support configurable channel feedback
  + FX Containers: support internal modulation of parameters, using parent modulation/automation as baseline for any container-local modulation
  + FX Oversampling: add preference to auto-disable oversampling for record arm-affected tracks
  + FX Oversampling: avoid subsample delays in signal when delay compensating [t=277936]
  + FX Oversampling: fix slight errors in passthrough MIDI timing when using per-instance oversampling and latency compensation
  + FX Oversampling: improve accuracy of timing information passed to plug-ins when using chain oversampling
  + FX Sidechain: allow drag/drop sidechain creation to FX in containers, floating windows
  + FX Sidechain: when creating sidechain via drag/drop to FX, always add/route to new track channels, reconfigure pin mappings for sidechain if FX has 4 inputs
  + Grouping: add option (enabled by default) for track media item grouping to affect only items that start and end at the same time (rather than any enclosed media item)
  + Grouping: improve behavior when splitting media items on grouped tracks [p=2719354]
  + JSFX: add ext_gr_meter to support reporting gain reduction to the host (set to non-positive values in @init and @block)
  + JSFX: make output metering pre-wet/dry/delta-solo
  + JSFX: support plug-in defined compile-time configuration parameters
  + JSFX/ReaScript/Video: % (modulus) operator supports 64-bit values on arm64 [t=282237]
  + Keyboard: add multiple alternate main keyboard sections, add actions to switch between them persistently or momentarily
  + Lanes/Comping: support fixed-lane tracks, to arrange media items in fixed lanes
  + Lanes/Comping: support setting individual lanes to play back or not play back
  + Lanes/Comping: support automatically recording overlapping media to separate lanes, either layered (multiple lanes play back at once) or not (only the last recorded lane plays back)
  + Lanes/Comping: v6 option for overlapping recording to create new media items is replaced by option to add lanes; playback behavior is identical to v6
  + Lanes/Comping: support minimizing, maximizing, or collapsing track lanes
  + Lanes/Comping: support adding lanes by dragging media to a hashed 'parking area', automatically removing empty lanes
  + Lanes/Comping: support naming individual lanes, resizing lane name area
  + Lanes/Comping: support reordering fixed lanes by dragging lane buttons up/down
  + Lanes/Comping: support targeting a specific lane or free item position when pasting media items and razor edits
  + Lanes/Comping: add many actions to support editing, manipulating, playing back, comping, and coloring items in fixed lanes
  + Lanes/Comping: add mouse modifier contexts for fixed lane header buttons, fixed lane comp areas (including click/double-click contexts)
  + Lanes/Comping: add many theme elements for fixed lane and comp area display
  + Lanes/Comping: support recording into specific lanes or new lanes
  + Lanes/Comping: add actions to explode items in lanes to tracks, implode items on tracks to lanes, optionally creating comp areas
  + Lanes/Comping: existing actions to switch active take (T/shift-T by default) will switch the comp area under the mouse up or down as well
  + Lanes/Comping: add import option to add multiple media on fixed lanes on a single track
  + Lanes/Comping: tracks that are grouped for media/razor edits are also grouped for lane actions and edits
  + Lanes/Comping: when exiting fixed lane view, lanes that are not playing are hidden; hidden lanes are restored when re-entering fixed lane view
  + Lanes/Comping: create a comping lane by double-clicking or right-clicking the lane button, or clicking the comping button on a razor edit, or using arrange view mouse modifiers
  + Lanes/Comping: while comping, mouse-drag in source lanes to create comp areas; comped media is copied to the comping lane
  + Lanes/Comping: comp areas create editable copies of source media
  + Lanes/Comping: mouse modifiers for comp areas include behaviors to change comp area source lane, limit comp areas to media item edges, move media items along with comp areas, attach comp area edges to adjacent comp area edges, create time selection including pre-roll/post-roll for previewing
  + Lanes/Comping: while comping, edits to media item edges/fades/crossfades in comping lane will also affect comp areas (comp areas fades/crossfades can be individually edited this way)
  + Lanes/Comping: while comping, edits that cause comping-lane media to go out of sync with source-lane media will display a re-comp button on the comping lane media
  + Lanes/Comping: clicking re-comp button will copy edited media to a new source lane, to use as an alternative edit along with existing source media
  + Lanes/Comping: optionally support editing source media while comping (edits immediately affect the comping lane)
  + Lanes/Comping: add options to automatically create comp areas for new recording while comping
  + Lanes/Comping: ensure that new recording is in the same lane for all grouped tracks [p=2720419]
  + Lanes/Comping: when recording with time selection auto-punch into a new lane, optionally add the entire new recording, but comp only within the time selection [p=2676770]
  + License: display license valid-through version in About/Purchase window
  + Loopback: add audio loopback support (Preferences/Audio) for up to 256 channels
  + Loopback: when recording from loopback MIDI/audio channels, do not compensate audio device latency
  + macOS: improve menu item modifier descriptions for various menus
  + macOS: optionally display last user-run action in REAPER title bar
  + Media Items: allow mouse editing take markers by clicking anywhere within the text, as well as on the marker itself
  + Media Items: avoid snapping to a grid point that is in a different direction from the mouse move
  + Media Items: do not autoscroll when adjusting media item contents [p=2706019]
  + Media Items: improve interactions between auto-crossfade project setting and crossfade preferences when trimming content behind media item edits
  + Media Items: limit overlap and crossfade when splitting at time selection or razor edit [p=2699919]
  + Media Items: improve multiple selection behavior when editing crossfade or shared media item edges [t=282099]
  + Media Items: limit crossfade edits consistently when moving left or right [p=2661922]
  + Media Items: show tooltip when hovering over pooled MIDI button
  + Media Items: store fade-in/fade-out length with greater precision in project files
  + Media Items: support healing items even if one or both contains empty takes
  + Media Items: support healing splits even if items do not have the same active take lane
  + Media Items: when option enabled to offset overlapping media items vertically, arrange media items that start at the same time in the order they were created [t=279000]
  + Metadata: support multi-line render metadata (right-click value cell to open multi-line editor) [t=282304]
  + Metadata: support unsynchronized lyrics metadata via ID3 and VORBIS tags
  + Metadata: cancel metadata edit entry box when user scrolls metadata list
  + Metadata: attempt to parse XMP markers for terse display in media source properties dialog
  + Meters: add per-track option to display gain reduction from VST or JSFX plug-ins that report gain reduction to the host
  + Meters: add gain reduction metering preferences in Appearance/Track Control Panels
  + MIDI: support up to 128 MIDI buses per track
  + MIDI: add action to send explicit note-off messages for every channel/pitch combination to every MIDI output and plugin
  + MIDI: improve MIDI device preferences pane
  + MIDI: do not automatically re-color MIDI media items when doing pooled copy
  + MIDI Devices: support up to 128 input/output devices
  + MIDI Devices: add ability to create multiple native MIDI loopback devices (single audio block delay)
  + MIDI Devices: allow ignoring devices to prevent them from using up device ID space
  + MIDI Devices: add per-device option to not warn when unable to open device
  + MIDI Editor: add option for editor selection to follow track selection in arrange view
  + MIDI Editor: add option to set the channel for new events when selecting a single note or CC event (improves MPE editing support)
  + MIDI Editor: support vertical zoom/scroll in CC lanes
  + MIDI Editor: support pitchwheel lane semitone range, snap-to-semitone
  + MIDI Editor: improve support for renaming CC lanes
  + MIDI Editor: add option to prevent mouse edits of single CC events from moving past other CC events
  + MIDI Editor: add preference to display empty space at top/bottom of CC lanes
  + MIDI Editor: display time/value in CC lanes
  + MIDI Editor: improve options to allow/disallow CC curve shapes in sustain, bank, LSB lanes
  + MIDI Editor: fix deselecting CC events when clicking lane outside envelope, when preference enabled to draw/edit immediately on mouse click
  + MIDI Editor: if 'show only events that pass filter' disabled, allow setting any channel for new events [p=2720147]
  + MIDI Editor: remove snap-to-center for mouse edits in CC lanes (double-click a value to center it)
  + MIDI Editor: when switching active MIDI item, adjust vertical scroll if all notes would be offscreen
  + MIDI Editor: when using one editor per project or per track, reopen editor at the same screen location for all MIDI items that share the editor
  + MIDI Quantize: automatically quantize media content start position to PPQ when quantizing MIDI [t=279531]
  + MIDI Quantize: reset quantization for unselected notes when switching from 'all notes' to 'selected notes' in quantize dialog  
  + MIDI Quantize: when creating new items, always snap media item position to PPQ [t=271205]
  + MIDI Quantize: improve behavior of no-chase playback modes to handle media items with non-quantized starting positions [t=271205]
  + Mouse Modifiers: add multiple arrange view mouse modifier override sections, to define new behaviors when left-mouse-dragging in arrange view
  + Mouse Modifiers: set override A to marquee selection behaviors, override B to razor edit behaviors, override C to comping behaviors, override D to time selection behaviors by default (all are fully customizable though)
  + Mouse Modifiers: add actions, toolbar buttons to activate/momentarily activate/toggle/clear mouse modifier overrides
  + Mouse Modifiers: add menu action to export modifiers for the current context as a ReaScript [p=2699692]
  + Mouse Modifiers: support user-defined custom toolbar button tooltip for arrange view override contexts
  + Multiproject: if =REF markers specified in both projects, use as a manual synchronization point
  + Multiproject: use project time offsets to synchronize video and playback between project tabs
  + Pitch shift/timestretch: add multi-mono and multi-stereo options for applicable algorithms
  + Pitch shift/timestretch: support more than 48 channels with Elastique [t=181279]
  + Preferences: add new Envelope Colors preferences page, support custom envelope colors based on envelope name
  + Preferences: add new Project/Backups preferences page
  + Preferences: add new Item Fade Defaults, Item Loop Defaults preferences pages
  + Preferences: add new ARA preferences page
  + Preferences: add new Scrub/Jog preferences page
  + Preferences: add new Zoom/Scroll preferences page
  + Preferences: add button to Preferences/Project to open project settings dialog
  + Preferences: add preference for envelope lane height as a percentage of track height, when zooming vertically (default 50%)
  + Preferences: add preference for adjusting scrub/jog volume gain
  + Preferences: add preferences for default fixed lane track configuration (big/small lanes, etc)
  + Preferences: add preferences for crossfade behavior for various contexts (splitting, reording, etc)
  + Preferences: add preferences for track meter display defaults
  + Preferences: remember last selected mouse modifier context when closing/restarting REAPER
  + Project: changing autocrossfade or overlapping-recording options also sets default setting for new projects
  + Project: use HMSF if set as a secondary project time unit
  + Project: show play/record indicators for background tabs
  + Project: add actions to reorder project tabs, actions to switch to specific or previously-selected tabs
  + Raw PCM Media: add button to source properties to reload media after editing .rsrc sidecar file
  + Razor Edit: copy selected part of fade-in/fade-out if any part of the fade is included in the razor edit
  + Recording: display loop counter during recording
  + Recording: optionally apply autocrossfade when new recording overlaps existing items and adding takes [t=276274]
  + Recording: optionally apply autocrossfade when loop-punch recording and adding takes [t=275518]
  + Recording: fix aligning takes when recording pass starts in the middle of a looped section [p=2636585]
  + Recording: when loop recording, do not split recorded media even if a full loop pass was not recorded
  + Render: inform user when saved render format is not available
  + Render: fix persistence of preference to embed XMP markers [t=263105]
  + Render: respect preference to close render window when done, even when normalizing (but leave the window open when dry run rendering regardless of the preference)
  + Render: support forcing mono/stereo/multichannel render for master mix via region render matrix
  + Render: support rendering raw PCM (.sd2), including sidecar definition file
  + Render: support marker/region wildcards consisting of separated name=value pairs using $marker(name)[separator] and $region(name)[separator] (see wildcard help)
  + RX2: fix memory leak when exploding items
  + Samplerate Conversion: update r8brain-free to v6.3
  + Super8: support 1-48 channels (default 8)
  + Takes: add actions to mark previous recording pass for deletion, delete takes that are marked for deletion
  + Takes: avoid potential crash when editing take markers and media item source file is not available
  + Tempo/Time Signature: inserting time at start of project uses initial tempo marker rather than project tempo setting [t=280453]
  + Tempo/Time Signature: if project timebase for tempo/time signature envelope is set to beats, action to insert time will preserve existing tempo/time signature changes [t=279580]
  + Toolbars: support optional animation or blinking for toolbar buttons
  + Toolbars: animate ripple-edit, mouse modifier override toolbar buttons by default 
  + Toolbars: support up to 32 main toolbars, 16 MIDI toolbars
  + Track Folders: add preference to hide tracks in a folder when the folder is fully collapsed
  + Track Folders: add option for track folder collapse button to cycle child track heights between various combinations of normal-sized, small, collapsed, and hidden
  + Track Folders: add action to show/hide children of selected folder tracks
  + Track Folders: consistently refer to collapsed folders as 'collapsed' rather than 'compacted'
  + Track Folders: add actions, menu items to move tracks to new or existing folder track
  + Track Folders: gray out folder tracks in track context menu if all selected tracks are already within that folder
  + Track Folders: when inserting tracks after a folder whose children are all hidden, insert after children
  + Track Spacers: add support for customizable spacers between tracks
  + Track Spacers: display track spacers in mixer when mixer tracks are displayed in the same order as TCP
  + Track Spacers: when multiple contiguous tracks are selected, spacers will be added at the start and end of the set
  + Track Spacers: support moving/copying track spacers with mouse, dragging tracks to before/after/within spacers
  + Transport: add support for Measures.Beats as secondary time unit [t=283214]
  + Transport: when parsing user-input time, always treat 8-digit numbers as hhmmssff
  + Video: add option to disable video per-media-item
  + Video: optionally display video from background projects if current project lacks video [t=273317]
  + Video: support project setting for YUV preview/conversion gamut: BT.601 (previous versions), BT.709, BT.2020
  + Video: add preference to use standard (accessible) OS editing controls for video code
  + WALTER: themes can create custom controls by using 'custom tcp.custom.xyz [label] [action ID] [accessibility description] [button_image_name]' in layouts
  + WALTER: custom controls can be text fields or buttons, may support .font, .color, .margin
  + WALTER: add various scalars/elements/images
  + WALTER: add warnings, enable via 'warnings all' or 'warnings pedantic' line (only supported when loading a non-zipped theme)
  + Web Control Surface: reduce web server latency
  + Windows: do not try to style-match tab-child windows [t=283126]
  + Windows: update manifest to declare UAC configuration and compatibility for new Windows 8+ features (improves support for some plug-ins)
  + Zoom/Scroll: consistently support small control device moves, such as from a trackpad or trackball
  + Zoom/Scroll: map shift+alt+mousewheel to 'scroll vertically one page' by default
  + Zoom/Scroll: rename actions to scroll horizontally/vertically to match behavior (scrolling forward vs reversed)
  + Zoom/Scroll: do not change envelope height when resizing tracks via mouse drag
  + Zoom/Scroll: support vertical scroll step as percentage of track height or percentage of arrange view height
  + Zoom/Scroll: add actions to toggle track zoom height to default; cycle track zoom height between minimum, default, and maximum
  + Zoom/Scroll: add actions to toggle or cycle track zoom to maximum, even if maximum is not 100% of arrange view height
  + Zoom/Scroll: if maximum vertical zoom preference is 100% or less, keep the focused track entirely onscreen while zooming
  + Zoom/Scroll: if track height is greater than screen height, mousewheel scroll on TCP scrolls by screen height
  + Zoom/Scroll: allow mouse-centered vertical zoom to target the interior of a track


For full log see: http://www.reaper.fm/whatsnew.txt

v6.0-v6.83  - December 2019 - October 2023
v5.0-v5.99  - August 2015 - November 2019
v4.0-v4.78  - August 2011 - December 2014
v3.0-v3.78  - May 2009 - August 2011
v2.0-v2.58  - October 2007 - March 2009
v1.0-v1.888 - August 2006 - August 2007
v0.2-v0.999 - December 2005 - July 2006
